System.ServiceModel 4.0.0.0 System.Collections.ObjectModel.Collection<System.Xml.XmlElement> System.Xml.XmlElement

Use the class to group together policy assertions and to enumerate or modify a group of assertions.

The is used most frequently as a return value for the methods of the class.

Contains policy assertions.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class using the specified objects.

- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added.

  Returns a value that indicates whether the collection contains the specified policy assertion.

  true if the collection contains the specified policy assertion; otherwise, false.

- Method
  4.0.0.0
  System.Xml.XmlElement `` `` To be added. To be added. To be added.

  Returns the specified policy assertion.

  The specified policy assertion, or null if the assertion cannot be found.

- Method
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.Xml.XmlElement> `` `` To be added. To be added. To be added.

  Returns all specified policy assertions.

  A collection of all policy assertions that match the specification, or an empty collection.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  Inserts a specified policy assertion into the collection at the specified index.

  The index at which to insert . The policy assertion to insert at . The assertion must not be null.
- Method
  4.0.0.0
  System.Xml.XmlElement `` `` To be added. To be added. To be added.

  Removes the specified policy assertion from the collection.

  The policy assertion that was removed from the collection or null if the policy assertion was not in the collection.

- Method
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.Xml.XmlElement> `` `` To be added. To be added. To be added.

  Removes all policy assertions that match the specified name and namespace.

  A collection of all removed policy assertions or an empty collection if no assertions were found that match the specified name and namespace.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  Replaces the policy assertion at a specified index with a specified policy assertion.

  The index that contains the assertion to replace. The policy assertion to replace the assertion already at . The assertion must not be null.